Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::OS::Echo_Suppression Class Referenceabstract

`#include <os_utils.h>`

## Public Member Functions
virtual void | reenable_echo ()=0
virtual | ~Echo_Suppression ()=default

## Detailed Description

Represents a terminal state

Definition at line 174 of file os_utils.h.

## Constructor & Destructor Documentation

virtual Botan::OS::Echo_Suppression::~Echo_Suppression | ( |  | ) |
| virtual default

Implicitly calls reenable_echo, but swallows/ignored all errors which would leave the terminal in an invalid state.

## Member Function Documentation

virtual void Botan::OS::Echo_Suppression::reenable_echo | ( |  | ) |
| pure virtual

Reenable echo on this terminal. Can be safely called multiple times. May throw if an error occurs.

The documentation for this class was generated from the following file:

- src/lib/utils/os_utils.h